---
layout: course

title: AI 1/2 Systems Project
instructors:
    - mkohlhase
    - jfschaefer
semesters:
    - WS21/22 
    - WS22/23 
    - WS23/24 
    - WS24/25 
    - SS22
    - SS23
    - SS24
    - SS25
    - SS26
---


##### AI-1 and AI-2 systems project
The AI systems projects are designed to provide hands-on experience for the topics covered in the AI lectures.
The AI-1 Systems Project focuses on the symbolic methods discussed in the [AI-1 lecture](https://kwarc.info/courses/ai1/) (search, SAT solving, semantic web, planning, ...)
and the AI-2 Systems Project focuses on the subsymbolic methods covered by the [AI-2 lecture](https://kwarc.info/courses/ai2/) (Bayesian networks, (hidden) markov problems, machine learning, ...).
Each AI systems project is worth 10 ECTS.
Generally, you can pick whichever project sounds more interesting to you/is more relevant for your studies.
If you need two projects, you can also take both, but you cannot start both at the same time.

**Requirements:** There are no formal requirements, but we strongly recommend
that you either have taken the AI lecture or will take it in parallel.
Furthermore, you should have substantial programming experience (the programming language is not important) because you will have to program a lot.
In particular, the AI systems project is not a programming course, i.e. we expect that you are already proficient.

##### What happens in the project?
The project will consist of several large problems (≈6), which you will work on individually or in small teams.
Each problem will require a substantial amount of programming work - after all the project is worth 10 ECTS.
You can take a look at the [problems from the previous iterations](https://kwarc.info/teaching/AISysProj/) to get a first impression.
The first problem is a warm-up problem, which you have to solve alone, so that you can judge whether the project works for you.
The remaining problems are intended to be solved in teams of size 2.
Furthermore, you will have to write a report on one of the problems and have a small presentation (or rather, a section of a presentation together with other people).
The details will be discussed in the admin meeting.


##### Sign-up
You can sign up for the AI systems project via [StudOn](https://www.studon.fau.de/crs6243066.html)
(sign-up is independent of whether you are interested in the AI-1 or AI-2 systems project).
You will probably be placed on a waiting list (this is normal; demand is high). We first accept people from the waiting list of the previous semester, so the course may already be fuller than indicated.
However, we will regularly accept new people throughtout the semester,
whenever students have finished or dropped out.
The project is designed in a way that you can join at any point, including in the middle of the semester.
In that case your project would simply continue for a while after the semester ends.

**Important: Make sure to regularly check if you have been admitted (you should also get an email notification).
If you miss some of the early deadlines, we assume that you are not interested in the project and will remove you to give other students a chance.**


##### Timeline
The project timeline is quite flexible:

* You can request to join the project at any time, and at regular intervals we will admit new people (the capacity is limited, so you might have to wait).
* Once we have admitted you, we will have an admin meeting, in which we will discuss more details about the project.
    Check the StudOn forum for information on the time of the next admin meeting.
    Afterwards, you should follow the onboarding guide (posted on StudOn).
    You can still drop the project later on.
* Then you can get started with the warm-up problem.
    The warm-up problem has to be solved individually and is a requirement to take the project.
    It is also an opportunity for you to see if the project works for you. You can still decide to drop the project after starting the warm-up problem.
* Once you have solved the warm-up problem, you can sign up to solve the other ≈5 problems. These are intended to be solved in teams of size two,
    but currently we also allow teams of size one (that might change at any point though).
    Each problem is offered once a semester. It's up to you if you want to do all of them in one semester or e.g. spread it over two semesters.
* You will have to give a presentation on one of the problems. We will use some sort of sign-up process for that as well.
* You will have to write a report on one of the problems (can be the one you present). Furthermore, we will simulate double-blind peer review,
    which means that you will have to write 3 anonymous reviews for other students' reports.

**Important:**
You will have to take initiative to finish the project.
That means actively following the announcements (e.g. about new problems or available presentation slots), making sure that you sign up for problems and reach out if you need anything.
Simply joining the StudOn course is not enough.
**As the number of spaces in the project is limited, we will remove students from the project who do not finish the on-boarding procedure in time or who do not submit a preliminary solution to the warm-up problem on time.**
If you have been removed, you can join the waiting list again.


##### It's different from "Projekt zur Künstlichen Intelligenz"
You might also find references to "Projekt zur Künstlichen Intelligenz (P KI)".
Despite the similar names, they are very different:
The systems project (as described on this page) is organized more like a course, parallel to the AI lecture,
and every student will work on the same set of problems.
"P KI", on the other hand, is an individual research project with the kwarc group.
In the AI Master you need two projects, so you could even take both (then taking the systems project first is probably a good idea).


##### Contact
If you have any questions, feel free to send an email to `"jan frederik schaefer".replace(' ', '.') + "@fau.de"`.
Note that sending an email will not get you accepted into the project faster.
You can also join [our public AISysProj matrix room](https://matrix.to/#/#aisysproj-non-members:fau.de).
Matrix is a communications platform that is supported by FAU. We will use it to communicate during the AI systems project.
You can find instructions for joining Matrix at FAU [here](https://www.anleitungen.rrze.fau.de/serverdienste/matrix-an-der-fau/erste-schritte/) (only in German, unfortunately).

